
body {
  background: linear-gradient(to bottom, #0e013c, #000000);
  color: #ffffff;
  font-family: sans-serif;
  margin: 0;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  justify-content: space-around;
}

main {
  flex: 1; /* Faz o conteúdo principal crescer e ocupar o espaço */
  flex-direction: row;
  width: 80%;
  max-width: 960px;
  margin: 20px auto;
}

header {
  background: linear-gradient(to bottom right, #110342, #3204b1);
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: space-between; /* Itens nas extremidades */
  align-items: center;            /* Alinhamento vertical no centro */
  padding: 10px 5%;
  border-bottom: 1px solid #3517cb;
}

/* Garante que as listas de navegação fiquem na horizontal */
header nav ul, header > ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  gap: 20px; /* Espaço entre os links */
}

.site-footer {
  background-color:#110342;
}

.lista-de-projetos {
  list-style: none;
  padding: 0;
  color: #ffffff;
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 colunas de tamanho igual */
  gap: 20px;
}
.lista-de-projetos li {
  background: linear-gradient(to bottom right, #491742, #3517cb);
  border: 8px solid #343232;
  padding: 15px;
  justify-content: center;
  border-radius: 15px;
}

.lista-de-projetos a {
  font-family: 'Orbitron', sans-serif;
  font-size: 1.1em;
  text-align: center;
  color: #e0e0ff;
  text-decoration: none;
  transition: all 0.3s ease;
}

.lista-de-projetos a:visited {
  color: #e0e0ff;
}

.lista-de-projetos a:hover {
  color: #ffffff;
  text-shadow: 0 0 8px rgba(255, 255, 255, 0.7);
}


.secao-projetos {
  padding: 60px 20px; 
  width: 90%;             
  max-width: 1200px;     
  margin: 0 auto;         
  text-align: center;     
}


footer {
  text-align: center;
  padding: 20px;
  background-color: #f2f2f2;
}


@media (max-width: 768px) {
  /* Empilha o header em telas pequenas */
  header {
    flex-direction: column;
    gap: 10px;
  }
  
  /* Muda a grade de projetos para 1 coluna */
  .lista-de-projetos {
    grid-template-columns: 1fr;
  }
}

/* Estilo base para cada link (a moldura) */
.navegacao-principal a {
    display: inline-block; 
    padding: 8px 15px;    
    border: 1px solid #6204f9; 
    border-radius: 5px;   
    font-family: 'Orbitron','Segoe UI', Tahoma, Geneva, Verdana, sans-serif; 
    font-size: 1em;          
    color: #ffffff;          
    text-decoration: none;   
    transition: background-color 0.3s, color 0.3s;
}

.navegacao-principal a:hover {
    background-color: #ffffff; 
    color: #2c3e50;          
}

.navegacao-principal li.active a {
    background-color: #ffffff;
    color: #2c3e50;
    font-weight: bold; /* Deixa o texto em negrito */
}